Bug 216283 - KDE screensaver cannot be configured on x86_64 for *some* (not all) users
KDE screensaver cannot be configured on x86_64 for *some* (not all) users
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-18 14:04 EST by William W. Austin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 06:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William W. Austin 2006-11-18 14:04:28 EST
Description of problem:
kcontrol (FOR ONE USER ONLY) cannot obtain a list of screensavers and
screensaver cannot therefore be configured.


Version-Release number of selected component (if applicable):
kdebase-3.5.5-0.4.fc6


How reproducible:
Always


Steps to Reproduce:
1.startx
2.wait until desktop is ready (sys initdefault is 3) and right-click on the
"lock" symbol.
3.select "Configure Screen Saver"

  
Actual results:
The "Configure - KDE Control Module" window will appear, but it cannot find ANY
screen savers.

Expected results:
The "Configure - KDE Control Module" window will appear, and it will display a
list of installed screen savers to choose from.



Additional info:
I am pretty sure this an environment issue - but after RTFM'ing for weeks (this
started under late fc5), I'm still stuck.
This works correctly for most other non-priv. users and for root, so I suspect
an environment issue but have spent 3-5 weeks chasing it down with no luck.
I know it's a small thing but trying to find it is driving me batty.
Comment 1 Ngo Than 2006-11-20 05:20:53 EST
could you please try following steps:

- login into KDE with login name which has this issue
- mv $HOME/.config HOME/.config.orig
- kbuildsycoca --noincremental

Does it fix the problem?

Note You need to log in before you can comment on or make changes to this bug.